Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## codeanticode.glgraphics
Class GLTexturedPoint

    java.lang.Object
      codeanticode.glgraphics.GLTexturedPoint

    public class GLTexturedPoint

extends java.lang.Object

Field Summary
`float[]` | `ds`
`float[]` | `dt`
`float` | `dx`
`float` | `dy`
`int` | `ntex`
`float[]` | `s`
`float[]` | `t`
`float` | `x`
`float` | `y`

Constructor Summary
`GLTexturedPoint()`
`GLTexturedPoint(float x, float y, float s, float t)`
`GLTexturedPoint(int n)`
`GLTexturedPoint(processing.xml.XMLElement xml)`

Method Summary
`void` | `genTexCoords(int w, int h)`
`void` | `initTexCoordArrays(int n)`
`void` | `scaleCoords(int w, int h)`
`void` | `setAsUndefined()`
`void` | `setTexCoords(int n, float s, float t)`
`void` | `setTexCoordsDelta(int n, float ds, float dt)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### x

    public float x

### y

    public float y

### dx

    public float dx

### dy

    public float dy

### s

    public float[] s

### t

    public float[] t

### ds

    public float[] ds

### dt

    public float[] dt

### ntex

    public int ntex

Constructor Detail

### GLTexturedPoint

    public GLTexturedPoint()

### GLTexturedPoint

    public GLTexturedPoint(processing.xml.XMLElement xml)

### GLTexturedPoint

    public GLTexturedPoint(int n)

### GLTexturedPoint

    public GLTexturedPoint(float x,
                           float y,
                           float s,
                           float t)

Method Detail

### setTexCoords

    public void setTexCoords(int n,
                             float s,
                             float t)

### setTexCoordsDelta

    public void setTexCoordsDelta(int n,
                                  float ds,
                                  float dt)

### setAsUndefined

    public void setAsUndefined()

### scaleCoords

    public void scaleCoords(int w,
                            int h)

### genTexCoords

    public void genTexCoords(int w,
                             int h)

### initTexCoordArrays

    public void initTexCoordArrays(int n)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library glgraphics by Andres Colubri. (c) 2008